# newgrf_town.cpp File Reference

Implementation of the town part of NewGRF houses. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "town.h"`

Go to the source code of this file.

## Functions
uint32 | TownGetVariable (byte variable, byte parameter, bool *available, const Town *t)
| This function implements the town variables that newGRF defines.

## Detailed Description

Implementation of the town part of NewGRF houses.

Definition in file newgrf_town.cpp.

## Function Documentation

uint32 TownGetVariable | ( | byte | variable,
|  | byte | parameter,
|  | bool * | available,
|  | const Town * | t |
| ) |  |  |

This function implements the town variables that newGRF defines.

Parameters:

  | variable | that is queried
  | parameter | unused
  | available | will return false if ever the variable asked for does not exist
  | t | is of course the town we are inquiring

Returns:
  the value stored in the corresponding variable

Definition at line 22 of file newgrf_town.cpp.

References _settings_game, ClampToU16(), GameSettings::economy, GB(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, and EconomySettings::larger_towns.

Referenced by HouseGetVariable(), and IndustryGetVariable().